from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XContentIdentifierFactory(XInterface, Protocol):
    def createContentIdentifier(self, ContentId: str) -> XContentIdentifier: ...
